<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_HotelTimeInformation StructType
 * @subpackage Structs
 */
class JP_HotelTimeInformation extends AbstractStructBase
{
    /**
     * The CheckTime
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelCheckTime
     */
    public $CheckTime;
    /**
     * Constructor method for JP_HotelTimeInformation
     * @uses JP_HotelTimeInformation::setCheckTime()
     * @param \StructType\JP_HotelCheckTime $checkTime
     */
    public function __construct(\StructType\JP_HotelCheckTime $checkTime = null)
    {
        $this
            ->setCheckTime($checkTime);
    }
    /**
     * Get CheckTime value
     * @return \StructType\JP_HotelCheckTime|null
     */
    public function getCheckTime()
    {
        return $this->CheckTime;
    }
    /**
     * Set CheckTime value
     * @param \StructType\JP_HotelCheckTime $checkTime
     * @return \StructType\JP_HotelTimeInformation
     */
    public function setCheckTime(\StructType\JP_HotelCheckTime $checkTime = null)
    {
        $this->CheckTime = $checkTime;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_HotelTimeInformation
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
